## plasma-workspace 5.15.4

=== debian/changelog ===
plasma-workspace (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:56 +0100

plasma-workspace (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:18 +0000

plasma-workspace (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:26 +0000

plasma-workspace (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:49 +0000

plasma-workspace (4:5.15.0-0ubuntu1) disco; urgency=medium

  * Add qml-module-org-kde-kirigami2 runtime dep.
  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:21 +0000

plasma-workspace (4:5.14.90-0ubuntu1) disco; urgency=medium

  * Update install files.
  * New build depend on kded5-dev.
  * Update symbols.
  * Breaks/Replaces on plasma-desktop and plasma-desktop-data, where
    kcm_translations moved to plasma-workspace.
  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:45 +0000

plasma-workspace (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:06 +0000

plasma-workspace (4:5.14.4-0ubuntu2) disco; urgency=medium

  * Remove not required or obsolete lm-sensors build dep.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 03:08:41 +0000

plasma-workspace (4:5.14.4-0ubuntu1) disco; urgency=medium

  * Update install files
  * New upstream release (5.13.90)
  * Update symbols from build logs.
  * Runtime recommends on appmenu-gtk3-module.
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:10 +0000

plasma-workspace (4:5.13.5-1ubuntu2) disco; urgency=medium

  * No-change rebuild against latest libqalculate

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 09:24:25 -0500
