=== debian/control ===
--- 
+++ 
@@ -3,52 +3,52 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.54.0~),
+Build-Depends: baloo-kf5-dev (>= 5.58.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kded5-dev (>= 5.54.0~),
-               kgendesignerplugin (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               kscreenlocker-dev (>= 5.15.4~),
-               kwin-dev (>= 4:5.15.4~),
+               extra-cmake-modules (>= 5.58.0~),
+               kded5-dev (>= 5.58.0~),
+               kgendesignerplugin (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               kscreenlocker-dev (>= 5.16.5~),
+               kwin-dev (>= 4:5.16.5~),
                libappstreamqt-dev (>= 0.10.4~) [linux-any],
                libboost-dev,
                libdbusmenu-qt5-dev,
                libgps-dev,
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5crash-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5holidays-dev (>= 1:5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5idletime-dev (>= 5.54.0~),
-               libkf5itemmodels-dev (>= 5.54.0~),
-               libkf5jsembed-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5networkmanagerqt-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
-               libkf5notifyconfig-dev (>= 5.54.0~),
-               libkf5package-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5prison-dev (>= 5.54.0~),
-               libkf5runner-dev (>= 5.54.0~),
-               libkf5screen-dev (>= 4:5.15.4~),
-               libkf5solid-dev (>= 5.54.0~),
-               libkf5su-dev (>= 5.54.0~),
-               libkf5sysguard-dev (>= 4:5.15.4~),
-               libkf5texteditor-dev (>= 5.54.0~),
-               libkf5textwidgets-dev (>= 5.54.0~),
-               libkf5wallet-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5webkit-dev (>= 5.54.0~),
-               libkf5xmlrpcclient-dev (>= 5.54.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5crash-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5holidays-dev (>= 1:5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5idletime-dev (>= 5.58.0~),
+               libkf5itemmodels-dev (>= 5.58.0~),
+               libkf5jsembed-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5networkmanagerqt-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
+               libkf5notifyconfig-dev (>= 5.58.0~),
+               libkf5package-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5prison-dev (>= 5.58.0~),
+               libkf5runner-dev (>= 5.58.0~),
+               libkf5screen-dev (>= 4:5.16.5~),
+               libkf5solid-dev (>= 5.58.0~),
+               libkf5su-dev (>= 5.58.0~),
+               libkf5sysguard-dev (>= 4:5.16.5~),
+               libkf5texteditor-dev (>= 5.58.0~),
+               libkf5textwidgets-dev (>= 5.58.0~),
+               libkf5wallet-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5webkit-dev (>= 5.58.0~),
+               libkf5xmlrpcclient-dev (>= 5.58.0~),
                libnm-dev,
                libpam0g-dev,
                libphonon4qt5-dev (>= 4:4.8.0-5),
@@ -142,6 +142,17 @@
  .
  This package contains library files.
 
+Package: libnotificationmanager1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Plasma Workspace for KF5 library
+ Plasma Workspace for KF5. Workspaces provide
+ support for KDE Plasma Widgets, integrated search,
+ hardware management and a high degree of customizability.
+ Taskmanager library.
+ .
+ This package contains library files for notifications.
+
 Package: libweather-ion7
 Architecture: any
 Section: libs
@@ -166,6 +177,7 @@
          kinit,
          kio,
          kwin-common (>= 4:5.14),
+         libappstreamqt2,
          libkf5config-bin,
          libkf5globalaccel-bin (>= 5.7.0),
          libkf5plasma5 (>= 5.45.0~),
@@ -232,10 +244,10 @@
 Package: plasma-workspace-dev
 Architecture: any
 Depends: kwin-common (>= 4:5.14),
-         libkf5itemmodels-dev (>= 5.54.0~),
-         libkf5plasma-dev (>= 5.54.0~),
-         libkf5sysguard-dev (>= 4:5.15.4~),
-         libkf5windowsystem-dev (>= 5.54.0~),
+         libkf5itemmodels-dev (>= 5.58.0~),
+         libkf5plasma-dev (>= 5.58.0~),
+         libkf5sysguard-dev (>= 4:5.16.5~),
+         libkf5windowsystem-dev (>= 5.58.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
